# Uses of Class
org.apache.sysds.runtime.frame.data.columns.ABooleanArray

Packages that use ABooleanArray
Package
Description
org.apache.sysds.runtime.frame.data.columns

## Uses of ABooleanArray in org.apache.sysds.runtime.frame.data.columns

Subclasses of ABooleanArray in org.apache.sysds.runtime.frame.data.columns
Modifier and Type
Class
Description
`class`
`BitSetArray`
`class`
`BooleanArray`
Methods in org.apache.sysds.runtime.frame.data.columns that return ABooleanArray
Modifier and Type
Method
Description
`static ABooleanArray`
ArrayFactory.`allocateBoolean(int nRow)`
`abstract ABooleanArray`
ABooleanArray.`clone()`
`ABooleanArray`
BooleanArray.`clone()`
`ABooleanArray`
Array.`getNulls()`
`ABooleanArray`
OptionalArray.`getNulls()`
`abstract ABooleanArray`
ABooleanArray.`select(boolean[] select, int nTrue)`
`abstract ABooleanArray`
ABooleanArray.`select(int[] indices)`
`ABooleanArray`
BitSetArray.`select(boolean[] select, int nTrue)`
`ABooleanArray`
BitSetArray.`select(int[] indices)`
`ABooleanArray`
BooleanArray.`select(boolean[] select, int nTrue)`
`ABooleanArray`
BooleanArray.`select(int[] indices)`
`abstract ABooleanArray`
ABooleanArray.`slice(int rl, int ru)`
`ABooleanArray`
BooleanArray.`slice(int rl, int ru)`
Constructors in org.apache.sysds.runtime.frame.data.columns with parameters of type ABooleanArray
Modifier
Constructor
Description
``
`OptionalArray(Array<T> a, ABooleanArray n)`